<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejemplo Vue</title>

    <!-- En este ejemplo vamos a utilizar directamente el CDN -->
    <script src="https://unpkg.com/vue@3/dist/vue.global.js" defer></script>
    <script src="02-ejemplo-v-for.js" defer></script>
</head>
<body>

    <!-- 
        Ejemplo v-for

        https://vuejs.org/guide/essentials/list.html
    -->
    <div id="app">

        <!-- El v-for permite mostrar todas las personas -->
        <ul>
            <!-- Este elemento se va a replicar en función de una condición 
                Si pulsamos en saludar, se asignan las personas a saludar.
            -->
            <li v-for="persona in personas">                
                <span>{{ mensaje }}</span>
                <span> {{ persona.nombre }} </span> 
            </li>            
        </ul>

        <ul>
            <!-- 
                Si aplicamos la desestructuración simplificamos la sintaxis 
                Ya no necesitamos poner persona.nombre
            -->
            <li v-for="{nombre} in personas">
                <span>{{ mensaje }}</span>
                <span> {{ nombre }} </span> 
            </li>            
        </ul>

        <ul>
            <!-- 
                Si necesitamos obtener el índice dentro del recorrido podemos
                exponer la propiedad index. Para ello necesitamos utilizar paréntesis
            -->
            <li v-for="({nombre} , index) in personas">
                <span>{{ index }}</span>                
                <span>{{ mensaje }}</span>
                <span> {{ nombre }} </span> 
            </li>            
        </ul>

        <button v-on:click="saludar()">Saludar</button>
    </div>


</body>
</html>